Warm List

GET /public/v1/warmlist/{workspaceId}/config

Get warmlist workspace settings and active engagement configs.

GET /public/v1/warmlist/{workspaceId}/config

GET /public/v1/warmlist/{workspaceId}/config

curl --request GET \
  --url 'https://api.joinvalley.co/public/v1/warmlist/{WORKSPACEID}/config' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "statusCode": 1,
  "status": true,
  "message": "<string>",
  "data": {
    "settings": {
      "id": "<string>",
      "workspace_id": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>",
      "configs": [
        {}
      ]
    },
    "owner": {
      "id": "<string>",
      "first_name": "<string>",
      "last_name": "<string>",
      "email": "<string>"
    }
  }
}

Default Response

Authorizations

  • x-api-key string required header

    Your Valley API key.

Path Parameters

  • workspaceId string required

Query Parameters

  • ownerId string

    Admin/Owner only: view config for a specific workspace member by their user ID

Response

application/json
  • statusCode number
  • status boolean
  • message string
  • data object
    + Show Child Attributes
    • settings object nullable
      + Show Child Attributes
      • id string
      • workspace_id string
      • created_at string
      • updated_at string
      • configs[] object array
        + Show Child Attributes
        • id string
        • engagement_type string
        • frequency string nullable
        • is_enabled boolean
        • last_sync_at string nullable
        • next_sync_at string nullable
        • last_sync_status string nullable
        • new_prospects_count number
        • created_at string
        • updated_at string
    • owner object nullable
      + Show Child Attributes
      • id string
      • first_name string nullable
      • last_name string nullable
      • email string nullable